
import oauthlib.oauth1
import requests

def get_access_token(client_key, client_secret, token_key, token_secret, url):
    # Create an OAuth 1.0a client
    client = oauthlib.oauth1.Client(client_key, client_secret, signature_method='HMAC-SHA1', 
                                   consumer_key=client_key, consumer_secret=client_secret)
    
    # Create a request to the token endpoint
    body = client.sign({ 'grant_type': 'client_credentials' }, url)
    headers = {'Content-Type': 'application/x-www-form-urlencoded'}
    
    # Send the request to get the access token
    response = requests.post(url, data=body, headers=headers)
    
    # Parse the response to get the access token
    token = response.json().get('access_token')
    
    return token



